import { EventEmitter, OnChanges, Renderer2, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ModalComponent implements OnChanges {
    private renderer;
    show: boolean;
    showChange: EventEmitter<boolean>;
    customCssAnimation: {
        duration: number;
        entranceAnimation: string;
        exitAnimation: string;
    };
    private sqModal;
    private sqModalWindow;
    listenForOutsideClick: boolean;
    constructor(renderer: Renderer2);
    ngOnChanges(changesObj: SimpleChanges): void;
    close(): void;
    open(): void;
    onClickOutsideComponent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalComponent, "sq-modal", never, { "show": { "alias": "show"; "required": false; }; "customCssAnimation": { "alias": "customCssAnimation"; "required": false; }; }, { "showChange": "showChange"; }, never, ["[sq-modal-title]", "[sq-modal-body]", "[sq-modal-footer]"], false, never>;
}
